fastsum_plan_ Struct Reference
Applications » Fast summation

plan for fast summation algorithm More...

`#include <fastsum.h>`

## Public Member Functions

| NFFT (plan) mv1
| source nfft plan
| NFFT (plan) mv2
| target nfft plan
| FFTW (plan) fft_plan

## Data Fields

int | d
| api
int | N_total
| number of source knots
int | M_total
| number of target knots
C * | alpha
| source coefficients
C * | f
| target evaluations
R * | x
| source knots in d-ball with radius 1/4-eps_b/2
R * | y
| target knots in d-ball with radius 1/4-eps_b/2
kernel | k
| kernel function
R * | kernel_param
| parameters for kernel function
unsigned | flags
| flags precomp.
C * | pre_K
| internal
int | n
| FS__ - fast summation.
C * | b
| expansion coefficients
C * | f_hat
| Fourier coefficients of nfft plans.
int | p
| degree of smoothness of regularization
R | eps_I
| inner boundary
R | eps_B
| outer boundary
int | Ad
| near field
C * | Add
| spline values
int | box_count
int | box_count_per_dim
int * | box_offset
R * | box_x
C * | box_alpha
int * | permutation_x_alpha
| permutation vector of source nodes if STORE_PERMUTATION_X_ALPHA is set
R | MEASURE_TIME_t [8]
| Measured time for each step if MEASURE_TIME is set.

## Detailed Description

plan for fast summation algorithm

Definition at line 82 of file fastsum.h.

The documentation for this struct was generated from the following file:

- fastsum.h